你的分享就是我们的动力 ---﹥

linux:TeamViewer安装使用详解

时间:2013-05-26 17:47来源:www.chengxuyuans.com 点击:

How do I install TeamViewer on my Linux distribution?

Graphical installation

For installing TeamViewer, we recommend using the graphical installer. The graphical installer can be invoked by (double) clicking the downloaded package.

If this is not the case and, e.g. the Archive Manager opens up, open the context menu instead (right-click on the downloaded package). Depending on your distribution you will get different possibilities to install the package, e.g. “Open with software installation”, “Open with GDebi package installer”, “Open with Ubuntu Software Center”, or “Open with> QApt package installer”.

RedHat, CentOS, Fedora, SUSE

You need the teamviewer_linux.rpm package.

For installing TeamViewer, we recommend using the graphical installer.

If you prefer to use the command line or if there is no graphical installer available you can use either one of these commands:

  • yum install teamviewer_linux.rpm (recommended, as it will install missing dependencies)
  • rpm -i teamviewer_linux.rpm

In case “yum” is asking for a missing public key, you can download it here and import the key by using following command:

  • rpm --import TeamViewer_Linux_PubKey.asc

After importing the public key, please execute the “yum”-command again to install the TeamViewer rpm.

Notes to Red Hat 4.x:

We do not offer packages for RedHat/CentOS 4.x. If you have a need to run TeamViewer on RedHat/CentOS 4.x, please contact our technical support.


Debian, Mint, Ubuntu, Kubuntu, Xubuntu…

For 32-bit DEB-systems you need the teamviewer_linux.deb package.

For 64-bit DEB-systems without Multiarch you need the teamviewer_linux_x64.deb package. Please see note onMultiarch below.

For installing TeamViewer, we recommend using the graphical installer.

If you prefer to use the command line or if there is no graphical installer available you can use either one of these commands:

For the 32-bit package:

  • sudo dpkg -i teamviewer_linux.deb

For the 64-bit package:

  • sudo dpkg -i teamviewer_linux_x64.deb

In case “dpkg” indicates missing dependencies, complete the installation by executing the following command:

  • sudo apt-get install -f

Notes to Multiarch:

On newer 64-bit DEB-systems with Multiarch-support (Debian 7) teamviewer_linux_x64.deb cannot be installed because the package ia32-libs is not available anymore on these systems. In this case you can use teamviewer_linux.deb instead.

In case you get the error “wrong architecture i386” you have to execute the following command lines:

  • dpkg --add-architecture i386
  • apt-get update

For further information: http://wiki.debian.org/Multiarch/HOWTO


Other platforms

TeamViewer does also run on a lot of other distributions, although not officially supported.

You can use our tar.gz package which will only create files in the directory where you extract it to. The tar.gz package works, if the libraries that TeamViewer depends on are installed which is often the case.

On Mandriva/Mageia TeamViewer can be installed using the following command:

  • urpmi --force --allow-nodeps teamviewer_linux.rpm

On PCLinuxOS TeamViewer can be installed from the repository. The package is provided by the PCLinuxOS team.

注释:

1,按照链接http://www.teamviewer.com/下载对应的版本

2,按照上面提到的命令进行安装即可





(可能发生的错误:

[root@localhost ~]# rpm -Uivh /home/liveuser/Downloads/teamviewer_linux.rpm
warning:/home/liveuser/Downloads/teamviewer_linux.rpm: Header V4 DSA/SHA1Signature, key ID 72db573c: NOKEY
error: Failed dependencies:
        libc.so.6(GLIBC_2.4) is needed by teamviewer-8.0.17147-1.i686
        libgcc_s.so.1 is needed by teamviewer-8.0.17147-1.i686
        libasound.so.2 is needed by teamviewer-8.0.17147-1.i686
        libfreetype.so.6 is needed by teamviewer-8.0.17147-1.i686
        libz.so.1 is needed by teamviewer-8.0.17147-1.i686
        libSM.so.6 is needed by teamviewer-8.0.17147-1.i686
        libXdamage.so.1 is needed by teamviewer-8.0.17147-1.i686
        libXext.so.6 is needed by teamviewer-8.0.17147-1.i686
        libXfixes.so.3 is needed by teamviewer-8.0.17147-1.i686
        libXrender.so.1 is needed by teamviewer-8.0.17147-1.i686
        libXtst.so.6 is needed by teamviewer-8.0.17147-1.i686
)

yum install teamviewer_linux.rpm

。。。。即可

http://www.teamviewer.com/zhcn/help/index.aspx

有问题欢迎联系我。。

转载注明地址:http://www.chengxuyuans.com/Linux/62395.html